#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:attributesvalues) do
  include EasyType

  desc <<-EOD
  The extra authentication provider property values.

  This parameter is a sibling to `attributes`. This parameter allows you to specify **extra** settings you pass
  to the creation of the authentication provider. They are only used when creating the
  authentication provider and not used during normal operation.

      wls_authentication_provider{'my_athentication_provider':
        ...
        attributes       => ['attribute_a','attribute_b'],
        attribute_values => ['value_for_a', 'value_for_b']
        ...
      }

  EOD

  validate do | value|
    Puppet.deprecation_warning("The attributesvalues parameter on wls_authentication_provider is deprecated. Use the provider_specific property now.")
    value
  end

end
