#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:order) do
  include EasyType

  desc <<-EOD
  The order of the Authentication Provider (0 is highest)

  Specifies the order in which the providers will be called. For more information checkout the documentation of propery [AuthenticationProviders](http://docs.oracle.com/middleware/1213/wls/WLMBR/core/index.html)
  in the WebLogic documentation. Here is an example on how to use this:

      wls_authentication_provider{'my_provider':
        ...
        order => 1, # Means it is the second (after 0)
        ...
      }

  Optionally, providers can be ordered by providing a value to the order paramater, which is a zero-based list. 
  When configuring ordering order, it may be necessary to create the resources with Puppet ordering (if not using Hiera) 
  or by structuring Hiera in matching order. Otherwise ordering may fail if not all authentication providers are created
  yet (by default the provider will be ordered last if it is greater than the number of providers currently configured).

  EOD

  to_translate_to_resource do | raw_resource|
    raw_resource['order']
  end

end
