#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:async_session_queue_timeout, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Interval in seconds until the producer thread will wait for the AsyncSessionQueue to become unblocked.  Should be similar to the RequestTimeOut as that will determine the longest that the queue should remain full. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         async_session_queue_timeout => '30'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:async_session_queue_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AsyncSessionQueueTimeout')
end
