#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_max_resource_requests_on_server, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Maximum number of concurrent requests to resources allowed for each server. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_max_resource_requests_on_server => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_max_resource_requests_on_server']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTACluster/%{cluster_name}/MaxResourceRequestsOnServer')
end
