#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_max_transactions_health_interval_millis, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The interval for which the transaction map must be full for the JTA subsystem to declare its health as CRITICAL. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_max_transactions_health_interval_millis => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_max_transactions_health_interval_millis']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTACluster/%{cluster_name}/MaxTransactionsHealthIntervalMillis')
end
