#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_purge_resource_from_checkpoint_interval_seconds, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The interval that a particular resource must be accessed within for it to be included in the checkpoint record. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_purge_resource_from_checkpoint_interval_seconds => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_purge_resource_from_checkpoint_interval_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTACluster/%{cluster_name}/PurgeResourceFromCheckpointIntervalSeconds')
end
