#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:multicast_address, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The multicast address used by cluster members to communicate with each other.  The valid range is from from 224.0.0.0 to 239.255.255.255. The default value used by WebLogic Server is 239.192.0.0.  You should avoid using multicast addresses in the range x.0.0.1  This address should be unique to this cluster and should not be shared by other applications. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         multicast_address => '239.192.0.0'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:multicast_address']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MulticastAddress')
end
