#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:clustering_mode, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies a clustering mode of either Unicast or Multicast. If multicast is undesirable or unavailable in an environment, or when an environment is not properly configured to support multicast, then setting up the Well Known Addresses (WKA) feature is required. All cluster multicast communication is disabled if WKA is enabled. 

  An example on how to use this:

      wls_coherence_cluster {a_wls_coherence_cluster :
         ...
         clustering_mode => 'unicast'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_cluster:clustering_mode']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CoherenceClusterResource/%{coherence_cluster_name}/CoherenceClusterParams/%{coherence_cluster_name}/ClusteringMode')
end
