#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:restartdelay, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  

  desc <<-EOD
 The number of seconds the Node Manager should wait before restarting this server.    After killing a server process, the system might need several seconds to release the TCP port(s) the server was using. If Node Manager attempts to restart the Managed Server while its ports are still active, the startup attempt fails.    If AutoMigration is enabled and RestartDelaySeconds is 0, the RestartDelaySeconds is automatically set to the lease time. This prevents the server from failing to restart after migration when the previous lease is still valid.  

  An example on how to use this:

      wls_coherence_server {a_wls_coherence_server :
         ...
         restartdelay => 'a_value'
         ...
      }

  EOD

  maps_to('RestartDelaySeconds')

end
