#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:restartmax, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  

  desc <<-EOD
  The number of times that the Node Manager can restart this server within the interval specified in RestartIntervalSeconds.  

  An example on how to use this:

      wls_coherence_server {a_wls_coherence_server :
         ...
         restartmax => '2'
         ...
      }

  EOD

  maps_to('RestartMax')

end
