#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:pool_driver_interceptor, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies the absolute name of the application class used to intercept method calls to the JDBC driver. The application specified must implement the weblogic.jdbc.extensions.DriverInterceptor interface.   Weblogic Server will invoke the preInvokeCallback(), postInvokeExceptionCallback(), and postInvokeCallback() methods of the registered application before and after invoking any method inside the JDBC driver. You can use this feature to profile JDBC driver usage and monitor:  <ul> <li>Methods being executed</li> <li>Any exceptions thrown</li> <li>Time spent inside the driver executing methods</li> </ul> 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         pool_driver_interceptor => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:pool_driver_interceptor']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/DriverInterceptor')
end
