#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_max_resource_unavailable_millis, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  

  desc <<-EOD
  Maximum duration time, in milliseconds, that a resource is declared dead. After the duration, the resource is declared available again, even if the resource provider does not explicitly re-register the resource. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         jta_max_resource_unavailable_millis => '1800000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:jta_max_resource_unavailable_millis']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTA/%{domain_name}/MaxResourceUnavailableMillis')
end
