#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:eager_tracking_of_resource_metrics_enabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Determines if tracking of resource consumption metrics of this Partition is initiated eagerly from the time the Partition is started, or if it is initiated lazily on first access of PartitionResourceMetricsRuntimeMBean. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         eager_tracking_of_resource_metrics_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:eager_tracking_of_resource_metrics_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('EagerTrackingOfResourceMetricsEnabled')
end
