#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:parallel_deploy_application_modules, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Determines if the modules of applications will be deployed in parallel.  This setting can be overridden at the per-application level. See {@link AppDeploymentMBean#isParallelDeployModules()} 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         parallel_deploy_application_modules => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:parallel_deploy_application_modules']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ParallelDeployApplicationModules')
end
