#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:startup_timeout, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The timeout value for a partition's start and resume operations. If the partition fails to start within the timeout period, it will force a shutdown. <p/> A value of <code>0</code> means that the server will wait indefinitely for the operation to complete. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         startup_timeout => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:startup_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('StartupTimeout')
end
