#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:logical_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The name used by subsystems to refer to different stores on different servers using the same name.  For example, an EJB that uses the timer service may refer to its store using the logical name, and this name may be valid on multiple servers in the same cluster, even if each server has a store with a different physical name.  Multiple stores in the same domain or the same cluster may share the same logical name. However, a given logical name may not be assigned to more than one store on the same server. 

  An example on how to use this:

      wls_jdbc_persistence_store {a_wls_jdbc_persistence_store :
         ...
         logical_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jdbc_persistence_store:logical_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('LogicalName')
end
