#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:bytes_maximum, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The total number of bytes that can be stored in a destination that uses this quota.  A value of zero means that no messages can be placed on a destination without exceeding the quota. A value of -1 prevents WebLogic Server from imposing a limit.  Because excessive bytes volume can cause memory saturation, Oracle recommends that the maximum corresponds to the amount of system memory that is available after accounting for the rest of your application load.  No consideration is given to messages that are pending; that is, messages that are in-flight, delayed, or otherwise inhibited from delivery still count against the message and/or bytes quota.</p.  This attribute is dynamic and can be changed at any time. If the quota is lowered and the quota object is now over quota, then subsequent requests for quota will be denied until quota is available. If the quota is raised, then this may allow the quota object to satisfy existing requests for quota.  Note: If a JMS template is used for distributed destination members, then this maximum applies only to those specific members and not the distributed destination set as a whole. 

  An example on how to use this:

      wls_jms_quota {a_wls_jms_quota :
         ...
         bytes_maximum => '9223372036854775807'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_quota:bytes_maximum']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('BytesMaximum')
end
