#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:temporary_template_resource, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The name of a JMS module that contains a template that this JMS server can use to create temporary destinations.  Entering a JMS module name requires you to specify a temporary template name. However, a module name cannot be specified if the Hosting Temporary Destinations field is disabled. 

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         temporary_template_resource => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:temporary_template_resource']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('TemporaryTemplateResource')
end
