#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:adapter_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Gets the node manager client adapter name when using a VMM adapter to connect to OVM or other VMM adapters providers 

  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         adapter_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:adapter_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('NodeManager/%{machine_name}/AdapterName')
end
