#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:user_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The Node Manager client user name used to connect to the underlying service to which the client delegates operations.  

  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         user_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:user_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('NodeManager/%{machine_name}/UserName')
end
