newproperty(:notes, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Optional information that you can include to describe this configuration.  WebLogic Server saves this note in the domain's configuration file (<code>config.xml</code>) as XML PCDATA. All left angle brackets (&lt;) are converted to the XML entity <code>&amp;lt;</code>. Carriage returns/line feeds are preserved.  Note: If you create or edit a note from the Administration Console, the Administration Console does not preserve carriage returns/line feeds. 

  An example on how to use this:

      wls_managed_executor_service_template {a_wls_managed_executor_service_template :
         ...
         notes => 'a_value'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Notes')
end
