#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:selector, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The filter for messages that are sent across the messaging bridge instance.  Only messages that match the selection criteria are sent across the messaging bridge:  <ul> <li> For queues, messages that do not match the selection criteria are left behind and accumulate in the queue. </li>  <li> For topics, messages that do not match the connection criteria are dropped. </li> </ul> 

  An example on how to use this:

      wls_messaging_bridge {a_wls_messaging_bridge :
         ...
         selector => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_messaging_bridge:selector']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Selector')
end
