#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:critical, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Returns true if the MigratableTarget is critical to the overall health of the WLS Server 

  An example on how to use this:

      wls_migratable_target {a_wls_migratable_target :
         ...
         critical => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_migratable_target:critical']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('Critical')
end
