#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:driver_url, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The URL of the database to connect to. The format of the URL varies by JDBC driver.  The URL is passed to the JDBC driver to create the physical database connections. 

  An example on how to use this:

      wls_multi_datasource {a_wls_multi_datasource :
         ...
         driver_url => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_multi_datasource:driver_url']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCDriverParams/%{multi_datasource_name}/Url')
end
