#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:pool_max_capacity, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum number of physical connections that this connection pool can contain. 

  An example on how to use this:

      wls_multi_datasource {a_wls_multi_datasource :
         ...
         pool_max_capacity => '15'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_multi_datasource:pool_max_capacity']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCConnectionPoolParams/%{multi_datasource_name}/MaxCapacity')
end
