#
# See the file "LICENSE" for the full license governing this code.
#
$LOAD_PATH.unshift File.join(File.dirname(__FILE__), '../..')
require 'puppet_x/enterprisemodules/weblogic/core'

module Puppet
  #
  Type.newtype(:wls_resource_group_template) do
    include Puppet_X::EnterpriseModules::WebLogic::Type

    desc <<-EOD
    This resource allows you to manage resource group template in an WebLogic 12.2.1 domain.
    EOD

    bean_type('ResourceGroupTemplate')

    ensurable
    parameter :domain
    parameter :name
    parameter :resource_group_template_name
    parameter :timeout
    extraproperties do
      property :notes
      property :tags
      property :upload_directory_name
    end

    add_title_attributes(:resource_group_template_name)
  end
end
