#
# See the file "LICENSE" for the full license governing this code.
#
$LOAD_PATH.unshift File.join(File.dirname(__FILE__), '../..')
require 'puppet_x/enterprisemodules/weblogic/core'

# Docs
module Puppet
  Type.newtype(:wls_role) do
    def self.module_name
      'wls_config'
    end
    include EasyType
    include Puppet_X::EnterpriseModules::WebLogic::Access
    extend Puppet_X::EnterpriseModules::WebLogic::TitleParser

    desc 'This resource allows you to manage roles an WebLogic Secuirty Realm.'

    ensurable

    to_get_raw_resources do
      Puppet.info "index #{name} "
      environment = { 'action' => 'index', 'type' => 'wls_role' }
      wlst template('wls_config/wls_role/index.py.erb', binding), environment
    end

    on_create do
      Puppet.info "create #{name}"
      wlst template('wls_config/wls_role/create.py.erb', binding)
      nil
    end

    on_modify do
      Puppet.info "modify #{name} "
      wlst template('wls_config/wls_role/modify.py.erb', binding)
      nil
    end

    on_destroy do
      Puppet.info "destroy #{name} "
      wlst template('wls_config/wls_role/destroy.py.erb', binding)
      nil
    end

    parameter :domain
    parameter :name
    parameter :role_name
    parameter :timeout
    property :realm
    property :expression

    add_title_attributes(:role_name)
  end
end
