#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:store, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The persistent disk-based file store or JDBC-accessible database for the SAF agent.  If a store is not configured, the server's default store is used. 

  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         store => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:store']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Store')
end
