newproperty(:auto_restart_on_non_dynamic_changes, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Specifies whether the Realm will be auto-restarted if non-dynamic changes are made to the realm or providers within the realm. 

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         auto_restart_on_non_dynamic_changes => 1
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AutoRestartOnNonDynamicChanges')
end
