newproperty(:auth_methods, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Returns a comma separated string of authentication methods that should be used when the Web application specifies "REALM" as its auth-method. The authentication methods will be applied in order in which they appear in the list. 

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         auth_methods => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_security_realm:auth_methods']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AuthMethods')
end
