newproperty(:authorizer_types, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Returns the types of Authorization providers that may be created in this security realm, for example, <code>weblogic.security.providers.authorization.DefaultAuthorizer</code>. Use this method to find the available types to pass to <code>createAuthorizer</code> 

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         authorizer_types => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_security_realm:authorizer_types']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AuthorizerTypes')
end
