newproperty(:max_web_logic_principals_in_cache, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Returns the maximum size of the LRU cache for holding WebLogic Principal signatures. This value is only used if <code>EnableWebLogicPrincipalValidatorCache</code> is set to <code>true</code> 

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         max_web_logic_principals_in_cache => '500'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_security_realm:max_web_logic_principals_in_cache']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxWebLogicPrincipalsInCache')
end
