#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_iiop_user, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The user name of the default IIOP user. (Requires you to enable IIOP.) 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         default_iiop_user => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:default_iiop_user']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DefaultIIOPUser')
end
