#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:key_stores, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Which configuration rules should be used for finding the server's identity and trust keystores? 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         key_stores => 'DemoIdentityAndDemoTrust'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:key_stores']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('KeyStores')
end
