#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:scattered_reads_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Enables scattered reads over NIO socket channels. Enabling this attribute increases efficiency during I/O in environments with high network throughput and should be used only when configuring a WebLogic domain for Oracle Exalogic. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         scattered_reads_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:scattered_reads_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('ScatteredReadsEnabled')
end
