#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_hostname_verifier, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The name of the class that implements the <code>weblogic.security.SSL.HostnameVerifier</code> interface.  This class verifies whether the connection to the host with the hostname from URL should be allowed. The class is used to prevent man-in-the-middle attacks. The <code>weblogic.security.SSL.HostnameVerifier</code> has a <code>verify()</code> method that WebLogic Server calls on the client during the SSL handshake. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_hostname_verifier => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_hostname_verifier']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{server_name}/HostnameVerifier')
end
