#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_server_private_key_alias, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The string alias used to store and retrieve the server's private key in the keystore. This private key is associated with the server's digital certificate. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_server_private_key_alias => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_server_private_key_alias']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{server_name}/ServerPrivateKeyAlias')
end
