#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:public_address, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The IP address or DNS name representing the external identity of this network channel. A value of <tt>null</tt> indicates that the network channel's Listen Address is also its external address. If the Listen Address is <tt>null,</tt>the network channel obtains its external identity from the server's configuration.  This is required for the configurations which need to cross a firewall doing Network Address Translation. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         public_address => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:public_address']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PublicAddress')
end
