#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:health_check_timeout_seconds, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The number of seconds the Node Manager should wait before timing out its health query to this server.  If the timeout is reached, Node Managed assumes the Managed Server has failed. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         health_check_timeout_seconds => '60'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:health_check_timeout_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('HealthCheckTimeoutSeconds')
end
