#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:hosts_migratable_services, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Gets the hostsMigratableServices attribute of the ServerMBean object 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         hosts_migratable_services => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:hosts_migratable_services']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('HostsMigratableServices')
end
