#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:additional_migration_attempts, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  A migratable service could fail to come up on every possible configured server. This attribute controls how many further attempts, after the service has failed on every server at least once, should be tried. Note that each attempt specified here indicates another full circuit of migrations amongst all the configured servers. So for a 3-server cluster, and a value of 2, a total of 4 additional migrations will be attempted. (the original server is never a valid destination) 

  An example on how to use this:

      wls_singleton_service {a_wls_singleton_service :
         ...
         additional_migration_attempts => '2'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_singleton_service:additional_migration_attempts']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AdditionalMigrationAttempts')
end
