#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:keep_alive_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Indicates whether there should be a persistent connection to this server. (This may improve the performance of your Web applications.)  Gets the keepAliveEnabled attribute of the WebServerMBean object 

  An example on how to use this:

      wls_virtual_host {a_wls_virtual_host :
         ...
         keep_alive_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_host:keep_alive_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('KeepAliveEnabled')
end
