#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:url_resource, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Adds a URL connection factory resource into JNDI. 

  An example on how to use this:

      wls_virtual_host {a_wls_virtual_host :
         ...
         url_resource => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_host:url_resource']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('URLResource')
end
