#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_format, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The format of the HTTP log file. Both formats are defined by the W3C. With the extended log format, you use server directives in the log file to customize the information that the server records. 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         log_file_format => 'common'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:log_file_format']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('WebServer/%{virtual_target_name}/WebServerLog/%{virtual_target_name}/LogFileFormat')
end
