#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:virtual_host_names, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::ArrayProperty

  desc <<-EOD
  The list of host names for which this virtual target serves requests. 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         virtual_host_names => ['host_1','host_2'],
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  on_apply do
    apply_paths_with_array(value.join(','))
  end

  maps_to('HostNames')
end
